# norootforbuild

Name:           sidplay-libs
BuildRequires:  gcc-c++
Url:            http://sidplay2.sourceforge.net/
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Version:        2.1.1
Release:        0.pm.4.3
Summary:        A Player for C64 Music Files
Source0:        %name-2.1.1.tar.bz2
Patch0:         %name-2.1.1.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libresid0
Summary:        Resid Library
Group:          Development/Libraries/C and C++

%description -n libresid0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libsidplay2-1
Summary:        Sidplay2 Library
Group:          Development/Libraries/C and C++

%description -n libsidplay2-1
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libsidutils0
Summary:        Sidutils Library
Group:          Development/Libraries/C and C++

%description -n libsidutils0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libhardsid-builder0
Summary:        Sidplay2 Library
Group:          Development/Libraries/C and C++

%description -n libhardsid-builder0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libresid-builder0
Summary:        Sidplay2 Library
Group:          Development/Libraries/C and C++

%description -n libresid-builder0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package devel
Summary:        A Player for C64 Music Files
Group:          Development/Libraries/C and C++
Provides:       libsidplay:/usr/include/sidplay/sidplay2.h
Requires:	libresid0
Requires:	libsidplay2-1
Requires:	libsidutils0
Requires:	libhardsid-builder0
Requires:	libresid-builder0

%description devel
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>

%prep
%setup -q
%patch0

%build
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$RPM_OPT_FLAGS"
autoreconf --force --install
for i in libsidplay libsidutils resid builders/resid-builder ; do
    pushd $i
    autoreconf --force --install
    popd
done
%configure --enable-shared
%__make %{?jobs:-j%{jobs}}      

%install
%makeinstall
DOCDIR=$RPM_BUILD_ROOT/%{_docdir}/libsidplay
rm -fr $DOCDIR
install -d -m 755 $DOCDIR
install -d -m 755 $DOCDIR/libsidplay
install -d -m 755 $DOCDIR/libsidutils
install -d -m 755 $DOCDIR/resid
cd libsidplay
install -m 644 AUTHORS COPYING ChangeLog README TODO $DOCDIR/libsidplay
cd ../libsidutils
install -m 644 AUTHORS COPYING ChangeLog README TODO $DOCDIR/libsidutils
cd ../resid
install -m 644 AUTHORS COPYING ChangeLog NEWS README THANKS TODO $DOCDIR/resid
find $RPM_BUILD_ROOT -name "*.la" | xargs rm

%post -n libresid0 -p /sbin/ldconfig

%postun -n libresid0 -p /sbin/ldconfig

%post -n libsidplay2-1 -p /sbin/ldconfig

%postun -n libsidplay2-1 -p /sbin/ldconfig

%post -n libsidutils0 -p /sbin/ldconfig

%postun -n libsidutils0 -p /sbin/ldconfig

%post -n libhardsid-builder0 -p /sbin/ldconfig

%postun -n libhardsid-builder0 -p /sbin/ldconfig

%post -n libresid-builder0 -p /sbin/ldconfig

%postun -n libresid-builder0 -p /sbin/ldconfig

%files -n libresid0
%defattr(-,root,root)
%_libdir/libresid.so.*

%files -n libsidplay2-1
%defattr(-,root,root)
%_libdir/libsidplay2.so.*

%files -n libsidutils0
%defattr(-,root,root)
%_libdir/libsidutils.so.*

%files -n libhardsid-builder0
%defattr(-,root,root)
%dir %_libdir/sidplay
%dir %_libdir/sidplay/builders
%_libdir/sidplay/builders/libhardsid-builder.so.*

%files -n libresid-builder0
%defattr(-,root,root)
%dir %_libdir/sidplay
%dir %_libdir/sidplay/builders
%_libdir/sidplay/builders/libresid-builder.so.*

%files devel
%defattr(-,root,root)
%_docdir/libsidplay
%_libdir/pkgconfig/*.pc
%_includedir/resid
%_includedir/sidplay
%_libdir/libresid.a
%_libdir/libsidplay2.a
%_libdir/libsidutils.a
%_libdir/libresid.so
%_libdir/libsidplay2.so
%_libdir/libsidutils.so
%_libdir/sidplay/builders/lib*builder.a
%_libdir/sidplay/builders/lib*builder.so

%changelog
* Thu Apr 22 2010 andrea@opensuse.org
- re-written spec file:
- split out libraries sub-packages
- use macros where possibles
- rename spec file according
* Wed Nov 28 2007 ro@suse.de
- fix build with gcc-4.3 again
* Mon Oct 22 2007 ro@suse.de
- fix build with gcc43
* Wed May 16 2007 ro@suse.de
- branch off devel package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 ro@suse.de
- remove extra qualification (gcc-4.1 fix)
* Wed Jan 19 2005 ro@suse.de
- fixed gcc uninitialized warning
- fix build with newer gcc
* Fri Jul 23 2004 ro@suse.de
- update to 2.1.1
* Mon Oct 20 2003 ro@suse.de
- use defattr
- don't build as root
* Thu May 15 2003 ro@suse.de
- change mode of .la files to 644
* Fri Jan 24 2003 ro@suse.de
- libtoolize it ...
* Thu Jan 23 2003 ro@suse.de
- split from package sidplay
